Subject: [VRRP] very minor tweak suggested to draft-ietf-vrrp-spec-v2-06.txt

From: Jeffrey Haas <[email-masked]>
Date: Wed, 15 Jan 2003 14:57:45 -0500

As I am reading through this specification as a new reader, the
following stands out:

: 7.1  Receiving VRRP Packets
: [...]
:       - MAY verify that "Count IP Addrs" and the list of IP Address
:         matches the IP_Addresses configured for the VRID
: 
:    If the above check fails, the receiver SHOULD log the event and MAY
:    indicate via network management that a misconfiguration was detected.
:    If the packet was not generated by the address owner (Priority does
:    not equal 255 (decimal)), the receiver MUST drop the packet,
:    otherwise continue processing.

I believe that the bottom sentence is mandatory.
Since it is in the same paragraph, one might consider the "MAY" and
the "If the above check fails" to apply and thus you only MUST
drop the packet if you are verifying the count and the list.

I would suggest rewording the second sentence as a new paragraph:

If the packet was not generated by the address owner (Priority does
not equal 255 (decimal)), and either the "Count IP Addrs" or
the list of IP Addresses fails to match the IP_Addresses configured
for the VRID, then the receive MUST drop the packet.

-- 
Jeff Haas 
NextHop Technologies
_______________________________________________
vrrp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/vrrp